#Usage ./HPTrustPConnRes.sh filter 
#Since IFS is changed later, replace spaces in $1 to newlines
filter=$(echo "`echo $1 | tr ' ' '\n'`")
#filter=$1
#Set the IFS to newline char
OIFS=$IFS
IFS="
"
#for each user in /etc/passwd
for userline in `cat /etc/passwd | $filter`
do
valid=$(echo "`echo $userline | grep ^[+-]`")
  if ["$valid" = ""]
   then

#get user name from userline
  username=$(echo "`echo $userline | awk -F\":\" '{print $1}'`")
#get other login information
  loginLine=$(echo "`logins -amoxl $username|head -1`")
#get homedirpermissions
  homedir=$(echo "`echo $userline | cut -d: -f6`")
  homedirperms=$(echo "`ls -ld $homedir | cut -d\" \" -f1`")
#get umask value
  shel=$(echo "$userline" | cut -d: -f7)
  noProfile=true
  shcsh=$(echo "$shel" | grep -e csh$)
  	if [ "$shcsh" = "" ] 
  	then
  		shbsh=$(echo "$shel" | grep -e bash$)
  		if [ "$shbsh" = "" ]
  		then
  			if [ -f $homedir/.profile ]
  		then
  			profilePath=$homedir/.profile
  			noProfile=false
  		fi
  		else
  			if [ -f $homedir/.bash_profile ]
  	  	then
  	   		profilePath=$homedir/.bash_profile
  	   	elif [ -f $homedir/.bash_login ]
  	   	then
  	   		profilePath=$homedir/.bash_login
  	   	else 
  			profilePath=$homedir/.profile
  	   	fi
  			noProfile=false
  		fi
  	else
  		if [ -f $homedir/.cshrc ]
  		 then
  			profilePath=$homedir/.cshrc
  		 else
  		 	profilePath=$homedir/.login
  		fi
  		noProfile=false
  	fi
  if [ "${noProfile}" = "false" ]
  then
  	umaskVal=$(echo "`cat $profilePath 2> /dev/null | grep -e ^umask | cut -d\" \" -f2`")
  fi
  if [ "$umaskVal" = "" ]
  then
  	umaskVal="22"
  fi

#get at and cron permissions
  at=0
  if test -e /var/adm/cron/at.allow
  then
      allow=$(echo "`cat /var/adm/cron/at.allow | grep -e ^$username$`")
      if [ "$allow" = "" ]
      then 
          at=0
      else
          at=1
      fi
  elif test -e /var/adm/cron/at.deny
  then
      allow=$(echo "`cat /var/adm/cron/at.deny | grep -e ^$username$`")
      if [ "$allow" = "" ]
      then
          at=1
      else
          at=0
      fi
  elif [ "$username" = "root" ]
  then
     at=1
  fi
 
  cron=0
  if test -e /var/adm/cron/cron.allow
  then
      allow=$(echo "`cat /var/adm/cron/cron.allow | grep -e ^$username$`")
      if [ "$allow" = "" ]
      then
          cron=0
      else
          cron=1
      fi
  elif test -e /var/adm/cron/cron.deny
  then
      allow=$(echo "`cat /var/adm/cron/cron.deny | grep -e ^$username$`")
      if [ "$allow" = "" ]
      then
          cron=1
      else
          cron=0
      fi
  elif [ "$username" = "root" ]
  then
     cron=1
  fi

  oneLine=$(echo "$loginLine:$homedirperms:$umaskVal:$at:$cron:PosixConnectorRoot")
  echo $oneLine
fi
done 
IFS=$OIFS
