#usage LinuxTest.sh filter
#Since IFS is changed later, replace spaces in $1 to newlines
filter=$(echo "`echo $1 | tr ' ' '\n'`")
#Set the IFS to newline char
OIFS=$IFS
IFS="
"

#for each user in /etc/passwd
for userline in `cat /etc/passwd | $filter`
do
  username=$(echo "`echo $userline | awk -F\":\" '{print $1}'`")
  HSH="#"
  if [ "${username:0:1}" != "$HSH" ]
  then
  	homedir=$(echo "`echo $userline | cut -d: -f6`")
        passwordC=$(echo "`echo $userLine | cut -d: -f2`")
        primaryGroup=$(echo "`groups $username | cut -d\":\" -f2 | awk '{print $1}'`")
        groupsLine=$(echo "`groups $username | cut -d\":\" -f2 | sed -e 's/^ //' | sed -e 's/ /,/g'`")
        homedirperms=$(echo "`ls -ld $homedir | cut -d\" \" -f1`")
        umaskVal=$(echo "`cat $homedir/.profile 2> null | grep -e ^umask | cut -d\" \" -f2`")
        nill=""
        if [ "$umaskVal" = "$nill" ]
        then
           umaskVal=$(echo "`cat $homedir/.login 2> null | grep -e ^umask | cut -d\" \" -f2`") 
        fi
        BANG="!"
        accountSuspended="0"
        if  [ "${passwordC:0:1}" = "$BANG" ]
        then
           accountSuspended="1"
        fi

        for i in 1 2 3 4 5 6 7
        do
          pw[$i]=$(echo "$userline" | cut -d: -f$i)
        done
  
        oneLine=$(echo "${pw[1]}:${pw[3]}:${pw[5]}:${pw[6]}:${pw[7]}:$umaskVal:$accountSuspended:$homedirperms:$primaryGroup:$groupsLine:PosixConnectorRoot")
        echo $oneLine 
  fi
done 

#reset the Internal Field Separator
IFS=$OIFS

