#usage LinuXTest.sh filter
#Since IFS is changed later, replace spaces in $1 to newlines
filter=`(echo $1 | tr ' ' '\n')`
#filter=$1
#Set the IFS to newline char
OIFS=$IFS
IFS="
"
#for each user in /etc/passwd
for userline in `cat /etc/passwd|$filter`
do
  userline=`(echo $userline | tr '\n' ' ')`
#get user name
  username=`(echo $userline | cut -f1 -d: )`
#get other login information
  loginLine=` logins -amoxl $username`
#get home dir permissions
  homedir=`echo $userline | cut -d: -f6`
  homedirperms=`ls -ld $homedir | cut -d" " -f1`

#get umask value
   shel=`echo $userline | cut -d: -f7`
     noProfile=true
     shcsh=`echo $shel | egrep csh$`
        if [ "$shcsh" = "" ]
        then
                shbsh=`echo $shel | egrep bash$`
                if [ "$shbsh" = "" ]
                then
                        if [ -f $homedir/.profile ]
                then
                        profilePath=$homedir/.profile
                        noProfile=false
                fi
                else
                        if [ -f $homedir/.bash_profile ]
                then
                        profilePath=$homedir/.bash_profile
                elif [ -f $homedir/.bash_login ]
                then
                        profilePath=$homedir/.bash_login
                else
profilePath=$homedir/.profile
                fi
                        noProfile=false
                fi
        else
                if [ -f $homedir/.cshrc ]
                 then
                        profilePath=$homedir/.cshrc
                 else
                        profilePath=$homedir/.login
                fi
                noProfile=false
        fi
     if [ "${noProfile}" = "false" ]
     then
        umaskVal=`cat $profilePath 2> /dev/null | egrep \^umask | cut -d" " -f2`
     fi
     if [ "$umaskVal" = "" ]
     then
        umaskVal="22"
     fi


#get at and cron permissions
  at=0
  if  [ -f /etc/cron.d/at.allow ]
  then
      allow=`cat /etc/cron.d/at.allow | egrep \^$username$`
      if [ "$allow" = "" ]
      then
          at=0
      else
          at=1
      fi
  elif  [ -f /etc/cron.d/at.deny ]
  then
      allow=`cat /etc/cron.d/at.deny | egrep \^$username$`
      if [ "$allow" = "" ]
      then
          at=1
      else
at=0
      fi
  elif [ "$username" = "root" ]
  then
     at=1
  fi

  cron=0
  if  [ -f /etc/cron.d/cron.allow ]
  then
      allow=`cat /etc/cron.d/cron.allow | egrep \^$username$`
      if [ "$allow" = "" ]
      then
          cron=0
      else
          cron=1
      fi
  elif  [ -f /etc/cron.d/cron.deny ]
  then
      allow=`cat /etc/cron.d/cron.deny | egrep \^$username$`
      if [ "$allow" = "" ]
      then
          cron=1
      else
          cron=0
      fi
  elif [ "$username" = "root" ]
  then
     cron=1
  fi
oneLine="$loginLine:$homedirperms:$umaskVal:$at:$cron:PosixConnectorRoot"
 echo $oneLine

done
IFS=$OIFS
